Bug 218205 - kernel bug
kernel bug
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-03 01:35 EST by max
Modified: 2008-04-08 08:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-08 08:37:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description max 2006-12-03 01:35:44 EST
Description of problem:
Server crash


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Dec  2 22:55:47 eztexting kernel: ------------[ cut here ]------------
Dec  2 22:55:47 eztexting kernel: kernel BUG at mm/highmem.c:160!
Dec  2 22:55:47 eztexting kernel: invalid opcode: 0000 [#1]
Dec  2 22:55:47 eztexting kernel: last sysfs file: /class/vc/vcsa6/dev
Dec  2 22:55:47 eztexting kernel: Modules linked in: ipv6 parport_pc lp parport
autofs4 rfcomm l2cap bluetooth ipt_REJECT xt_state ip_conntrack nfnetlink
xt_tcpudp iptable_filter ip_tables x_tables dm_mod video button battery ac
8139cp uhci_hcd ehci_hcd i2c_i801 i2c_core snd_intel8x0 snd_ac97_codec
snd_ac97_bus snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device
snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd soundcore snd_page_alloc 8139too
mii floppy ext3 jbd
Dec  2 22:55:47 eztexting kernel: CPU:    0
Dec  2 22:55:47 eztexting kernel: EIP:    0060:[<c04463ae>]    Not tainted VLI
Dec  2 22:55:47 eztexting kernel: EFLAGS: 00010246   (2.6.17-1.2142_FC4 #1)
Dec  2 22:55:47 eztexting kernel: EIP is at kmap_high+0x198/0x1b6
Dec  2 22:55:47 eztexting kernel: eax: 00000310   ebx: ffb10000   ecx: c07b47e0
  edx: 00000000
Dec  2 22:55:47 eztexting kernel: esi: c1761400   edi: c1761400   ebp: 0000001f
  esp: f4707f2c
Dec  2 22:55:47 eztexting kernel: ds: 007b   es: 007b   ss: 0068
Dec  2 22:55:47 eztexting kernel: Process exim (pid: 4594, threadinfo=f4707000
task=f7e1baa0)
Dec  2 22:55:47 eztexting kernel: Stack: 00000010 f7e1baa0 00000246 c1761400
c1761400 00000fed 0000000f c1761400
Dec  2 22:55:47 eztexting kernel:        c0460808 d4459a00 00000000 00000000
c6e4c000 0001ffed 00000001 00000001
Dec  2 22:55:47 eztexting kernel:        d4459b30 f4707000 c0000000 00000080
bff01d68 c04608f9 d4459a00 f4707000
Dec  2 22:55:47 eztexting kernel: Call Trace:
Dec  2 22:55:47 eztexting kernel:  <c0460808> copy_strings+0xef/0x1c8 
<c04608f9> copy_strings_kernel+0x18/0x1e
Dec  2 22:55:47 eztexting kernel:  <c04620ab> do_execve+0x101/0x1e0  <c04017cc>
sys_execve+0x2b/0x69
Dec  2 22:55:47 eztexting kernel:  <c0402bb3> syscall_call+0x7/0xb
Dec  2 22:55:47 eztexting kernel: Code: c7 04 8d 00 85 7b c0 01 00 00 00 e8 fb
f7 ff ff 8d 83 00 00 80 00 c1 e8 0c 8b 14 85 00 85 7b c0 42 89 14 85 00 85 7b c0
4a 7f 08 <0f> 0b a0 00 27 7e 60 c0 b8 80 11 6e c0 e8 5c 5c 1a 00 89 d8 83
Dec  2 22:55:47 eztexting kernel: EIP: [<c04463ae>] kmap_high+0x198/0x1b6 SS:ESP
0068:f4707f2c
Comment 1 Jan Lieskovsky 2007-12-19 07:06:04 EST
Hello Max,

  thank you for pointing this one to our attention! Could you please
be more detailed while describing the steps leading to this kernel crash?
(The only information we are able to see is, the exim MTA forced the 
kernel crash. And the kernel call (kmap_high), which caused the crash.)
Could you please:
1, Specify more the steps you performed to force this kernel crash
2, Does this crash occur regularly (by each following of the steps)
   or just randomly? One crash per X hours?
3, Could you please also append the output of `uname -a` (in case you updated 
   the kernel for FC4?
4, Could you please also append the output of `cat /proc/cpuinfo` to this   report?
5, Could you please also append the output of `lspci -vv` and output
   of `lspci -vvv` to this report?
6, Could you please try to create the kernel vmcore file?
   The instructions how to do this are at:

  
http://www.redhatmagazine.com/2007/08/15/a-quick-overview-of-linux-kernel-crash-dump-analysis/

   And especially for RHEL-3 (FC-4) kernel at: 
   
   http://people.redhat.com/anderson/crash_whitepaper/invocation.html

7, Maybe you could try to install the kernel-kdump FC5 rpm package and
   produce the kernel crash and also append the vmcore file here?

8, The similar issue seems to be already reported at:
   
http://groups.google.com/group/linux.kernel/browse_thread/thread/4b72665d9177c74/caf15273b93b428e?hl=en&lnk=gst&q=kmap_high#caf15273b93b428e

9, Could you please also attach the output of your kernel config file --
   if you have our own customized kernel config?

Thanks in advance
Regards

Jan iankko Lieskovsky
RH kernel Security Response Team 

Note You need to log in before you can comment on or make changes to this bug.